|  | Home · All Classes · Modules

# QGraphicsSceneWheelEvent Class Reference
[QtGui module]

The QGraphicsSceneWheelEvent class provides wheel events in the graphics view framework. More...

Inherits QGraphicsSceneEvent.

### Methods

- Qt.MouseButtons buttons (self)
- int delta (self)
- Qt.KeyboardModifiers modifiers (self)
- Qt.Orientation orientation (self)
- QPointF pos (self)
- QPointF scenePos (self)
- QPoint screenPos (self)

## Detailed Description

The QGraphicsSceneWheelEvent class provides wheel events in the graphics view framework.

The QGraphicsSceneWheelEvent class provides wheel events in the graphics view framework.

QWheelEvents received by a QGraphicsView are translated into QGraphicsSceneWheelEvents; it translates the QWheelEvent.globalPos() into item, scene, and screen coordinates (pos(), scenePos(), and screenPos()).

## Method Documentation

### Qt.MouseButtons QGraphicsSceneWheelEvent.buttons (self)

Returns the mouse buttons that were pressed when the wheel event occurred.

See also modifiers().

### int QGraphicsSceneWheelEvent.delta (self)

Returns the distance that the wheel is rotated, in eighths (1/8s) of a degree. A positive value indicates that the wheel was rotated forwards away from the user; a negative value indicates that the wheel was rotated backwards toward the user.

Most mouse types work in steps of 15 degrees, in which case the delta value is a multiple of 120 (== 15 * 8).

### Qt.KeyboardModifiers QGraphicsSceneWheelEvent.modifiers (self)

Returns the keyboard modifiers that were active when the wheel event occurred.

See also buttons().

### Qt.Orientation QGraphicsSceneWheelEvent.orientation (self)

Returns the wheel orientation.

### QPointF QGraphicsSceneWheelEvent.pos (self)

Returns the position of the cursor in item coordinates when the wheel event occurred.

See also scenePos() and screenPos().

### QPointF QGraphicsSceneWheelEvent.scenePos (self)

Returns the position of the cursor in scene coordinates when the wheel event occurred.

See also pos() and screenPos().

### QPoint QGraphicsSceneWheelEvent.screenPos (self)

Returns the position of the cursor in screen coordinates when the wheel event occurred.

See also pos() and scenePos().